#include <stdio.h>  
int main() {
   long int n,m;
   scanf("%li %li",&n,&m);  
   long int ukupanBroj=0;
   if(n==1 && m==1) ukupanBroj+=1;
   else if(n==1) ukupanBroj+=m;
   else if(m==1) ukupanBroj+=n;
   else{
      ukupanBroj+=2*n+2*(m-2) + ((m-2)*(n-2))/2;
   }
   printf("%ld",ukupanBroj);
}